SoulFire LogoSoulFire

Get plugin API

GET
/v1/plugins/{plugin_id}/api

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

plugin_id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/plugins/string/api"
{  "plugin": {    "pluginId": "string",    "pluginVersion": "string",    "description": "string",    "author": "string",    "license": "string",    "websiteUrl": "http://example.com",    "requiredSoulfireVersion": "string",    "apiMajorVersion": 0,    "descriptorSha256": "string",    "services": [      {        "name": "string",        "fullName": "string",        "methods": [          {            "name": "string",            "fullName": "string",            "inputTypeUrl": "string",            "outputTypeUrl": "string",            "clientStreaming": true,            "serverStreaming": true,            "permissions": [              "string"            ],            "displayName": "string",            "description": "string",            "exposedToMcp": true,            "mcpRequiresConfirmation": true          }        ]      }    ],    "permissions": [      {        "id": "string",        "pluginId": "string",        "scope": "PLUGIN_PERMISSION_SCOPE_UNSPECIFIED",        "risk": "PLUGIN_PERMISSION_RISK_UNSPECIFIED",        "displayName": "string",        "description": "string",        "defaultGrant": "PLUGIN_PERMISSION_DEFAULT_UNSPECIFIED"      }    ],    "eventTypeUrls": [      "string"    ],    "taskTypeUrls": [      "string"    ],    "stability": "PLUGIN_API_STABILITY_UNSPECIFIED",    "sdkPackages": {      "typescriptPackage": "string",      "pythonPackage": "string",      "mavenArtifact": "string"    },    "documentationUrl": "string",    "sourceUrl": "string",    "eventTypes": [      {        "typeUrl": "string",        "permissions": [          "string"        ]      }    ],    "taskTypes": [      {        "inputTypeUrl": "string",        "resultTypeUrl": "string",        "progressTypeUrl": "string",        "permissions": [          "string"        ]      }    ]  },  "revision": "string"}

How is this page?